[SciPy-user] Linalg should work in latest CVS tree with latest f2py

Travis Oliphant oliphant.travis at ieee.org
Mon Mar 25 19:46:41 CST 2002


Users,

There has been some difficulty with the linalg subpackage and the newest f2py 
(particularly effecting people who wanted to use matrix exponential 
algorithm).

This has been resolved.  You have two options.

If your ATLAS is older than 3.3.13 and you don't want to upgrade your ATLAS 
installation (e.g. because it takes awhile to compile binaries), then you can 
get the latest CVS, build scipy, and use the linalg algorithms.

If you want to go ahead and get ATLAS > 3.3.13 then you can use linalg2 (not 
imported by default --- you have to specifically import it (e.g.  import 
scipy.linalg2 as linalg2)

Not all algorithms are in linalg2 as of yet, but it won't be long.

Thanks for your patience.

-Travis Oliphant



More information about the SciPy-user mailing list